Subject: [Netconf] Genart last call review of draft-ietf-netconf-nmda-netconf-06

From: Christer Holmberg <[email-masked]>
Date: Tue, 10 Jul 2018 04:14:43 -0700

Reviewer: Christer Holmberg
Review result: Almost Ready

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-netconf-nmda-netconf-06
Reviewer: Christer Holmberg
Review Date: 2018-07-10
IETF LC End Date: 2018-07-09
IESG Telechat date: Not scheduled for a telechat

Summary: The document is well written, and almost ready for publication.
However, I have one comment that I would like the authors to address.

Major issues: None

Minor issues:

Sometimes, when a draft updates an existing RFC, people ask whether
implementations not implementing the draft are still compliant with the updated
RFC. Based on discussions, the consensus seems to be that existing
implementations are still compliant, and if one wants to mandate the new
features a bis is needed. I would just like to confirm whether that applies
also to this draft. If so, perhaps a note indicating that would be useful, in
order to avoid discussions in future? Related to that, it would also be good to
have an interoperability statement, saying that implementations that implement
the draft will still work with implementations that do not.

Nits/editorial comments: None

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Mon, 16 Jul 2018 12:55:13 +0200

On Tue, Jul 10, 2018 at 04:14:43AM -0700, Christer Holmberg wrote:
> order to avoid discussions in future?

An existing NETCONF server not implementing NMDA is still compliant to
the RFC 6241. However, a NETCONF server implementing NMDA (RFC 8342)
has to implement this update to RFC 6241. Do you want to have this
stated more explicitly? (We will have the same for RESTCONF and the
NMDA update of RESTCONF.)

> Related to that, it would also be good to have an interoperability
> statement, saying that implementations that implement the draft will
> still work with implementations that do not.

This primarily concerns clients: They need to be able to fallback to
using <edit-config> instead of <edit-data> and <get> instead of
<get-data> if they communicate with a non NMDA NETCONF server. I am
not sure whether this is a "SHOULD be able to fallback" or a "MUST be
able to fallback".

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>